XnModuleCppRegistratration.h File Reference
`#include "XnModuleCppInterface.h"`
`#include <XnUtils.h>`

Go to the source code of this file.

## Macros

#define | XN_EXPORT_MODULE(ModuleClass)
#define | XN_EXPORT_NODE(ExportedClass, nodeType)
#define | XN_EXPORT_DEVICE(ExportedClass)
#define | XN_EXPORT_DEPTH(ExportedClass)
#define | XN_EXPORT_IMAGE(ExportedClass)
#define | XN_EXPORT_IR(ExportedClass)
#define | XN_EXPORT_USER(ExportedClass)
#define | XN_EXPORT_HANDS(ExportedClass)
#define | XN_EXPORT_GESTURE(ExportedClass)
#define | XN_EXPORT_SCENE(ExportedClass)
#define | XN_EXPORT_AUDIO(ExportedClass)
#define | XN_EXPORT_RECORDER(ExportedClass)
#define | XN_EXPORT_PLAYER(ExportedClass)
#define | XN_EXPORT_CODEC(ExportedClass)
#define | XN_EXPORT_SCRIPT(ExportedClass)
#define | XN_MODULE_FUNC_TYPE static

## Typedefs

typedef void(* | GetInterfaceFuncPtr) (void *pInterface)

## Functions

XN_MODULE_FUNC_TYPE XnStatus XN_C_DECL | XN_MODULE_LOAD ()
XN_MODULE_FUNC_TYPE void XN_C_DECL | XN_MODULE_UNLOAD ()
XN_MODULE_FUNC_TYPE XnUInt32 XN_C_DECL | XN_MODULE_GET_EXPORTED_NODES_COUNT ()
XN_MODULE_FUNC_TYPE XnStatus XN_C_DECL | XN_MODULE_GET_EXPORTED_NODES_ENTRY_POINTS (XnModuleGetExportedInterfacePtr *aEntryPoints, XnUInt32 nCount)
XN_MODULE_FUNC_TYPE void XN_C_DECL | XN_MODULE_GET_OPEN_NI_VERSION (XnVersion *pVersion)

## Macro Definition Documentation

## XN_EXPORT_AUDIO

#define XN_EXPORT_AUDIO | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_AUDIO)
XN_NODE_TYPE_AUDIO
@ XN_NODE_TYPE_AUDIO
Definition XnTypes.h:112

Exports an Audio generator from the DLL.

## XN_EXPORT_CODEC

#define XN_EXPORT_CODEC | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_CODEC)
XN_NODE_TYPE_CODEC
@ XN_NODE_TYPE_CODEC
Definition XnTypes.h:136

## XN_EXPORT_DEPTH

#define XN_EXPORT_DEPTH | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_DEPTH)
XN_NODE_TYPE_DEPTH
@ XN_NODE_TYPE_DEPTH
Definition XnTypes.h:106

Exports a depth generator from the DLL.

## XN_EXPORT_DEVICE

#define XN_EXPORT_DEVICE | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_DEVICE)
XN_NODE_TYPE_DEVICE
@ XN_NODE_TYPE_DEVICE
Definition XnTypes.h:103

Exports a device node from the DLL.

## XN_EXPORT_GESTURE

#define XN_EXPORT_GESTURE | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_GESTURE)
XN_NODE_TYPE_GESTURE
@ XN_NODE_TYPE_GESTURE
Definition XnTypes.h:127

## XN_EXPORT_HANDS

#define XN_EXPORT_HANDS | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_HANDS)
XN_NODE_TYPE_HANDS
@ XN_NODE_TYPE_HANDS
Definition XnTypes.h:133

## XN_EXPORT_IMAGE

#define XN_EXPORT_IMAGE | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_IMAGE)
XN_NODE_TYPE_IMAGE
@ XN_NODE_TYPE_IMAGE
Definition XnTypes.h:109

Exports an image generator from the DLL.

## XN_EXPORT_IR

#define XN_EXPORT_IR | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_IR)
XN_NODE_TYPE_IR
@ XN_NODE_TYPE_IR
Definition XnTypes.h:115

Exports an IR generator from the DLL.

## XN_EXPORT_MODULE

#define XN_EXPORT_MODULE | ( |  | ModuleClass | ) |

Value:
\
static ModuleClass __moduleInstance; \
static Module* _XN_MODULE_INST = &__moduleInstance;
xn::Module
Definition XnModuleCppInterface.h:48

Exports an OpenNI module from the DLL.

## XN_EXPORT_NODE

#define XN_EXPORT_NODE | ( |  | ExportedClass,
|  |  | nodeType )

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, nodeType)

Exports a node from the DLL.

## XN_EXPORT_PLAYER

#define XN_EXPORT_PLAYER | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_PLAYER)
XN_NODE_TYPE_PLAYER
@ XN_NODE_TYPE_PLAYER
Definition XnTypes.h:124

Exports a Player from the DLL.

## XN_EXPORT_RECORDER

#define XN_EXPORT_RECORDER | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_RECORDER)
XN_NODE_TYPE_RECORDER
@ XN_NODE_TYPE_RECORDER
Definition XnTypes.h:121

Exports a Recorder from the DLL.

## XN_EXPORT_SCENE

#define XN_EXPORT_SCENE | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_SCENE)
XN_NODE_TYPE_SCENE
@ XN_NODE_TYPE_SCENE
Definition XnTypes.h:130

## XN_EXPORT_SCRIPT

#define XN_EXPORT_SCRIPT | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_SCRIPT)
XN_NODE_TYPE_SCRIPT
@ XN_NODE_TYPE_SCRIPT
Definition XnTypes.h:142

## XN_EXPORT_USER

#define XN_EXPORT_USER | ( |  | ExportedClass | ) |

Value:
_XN_EXPORT_NODE_COMMON(ExportedClass, XN_NODE_TYPE_USER)
XN_NODE_TYPE_USER
@ XN_NODE_TYPE_USER
Definition XnTypes.h:118

## XN_MODULE_FUNC_TYPE

#define XN_MODULE_FUNC_TYPE static

## Typedef Documentation

## GetInterfaceFuncPtr

typedef void(* GetInterfaceFuncPtr) (void *pInterface)

## Function Documentation

## XN_MODULE_GET_EXPORTED_NODES_COUNT()

XN_MODULE_FUNC_TYPE XnUInt32 XN_C_DECL XN_MODULE_GET_EXPORTED_NODES_COUNT | ( |  | ) |

## XN_MODULE_GET_EXPORTED_NODES_ENTRY_POINTS()

XN_MODULE_FUNC_TYPE XnStatus XN_C_DECL XN_MODULE_GET_EXPORTED_NODES_ENTRY_POINTS | ( | XnModuleGetExportedInterfacePtr * | aEntryPoints,
|  | XnUInt32 | nCount )

## XN_MODULE_GET_OPEN_NI_VERSION()

XN_MODULE_FUNC_TYPE void XN_C_DECL XN_MODULE_GET_OPEN_NI_VERSION | ( | XnVersion * | pVersion | ) |

## XN_MODULE_LOAD()

XN_MODULE_FUNC_TYPE XnStatus XN_C_DECL XN_MODULE_LOAD | ( |  | ) |

## XN_MODULE_UNLOAD()

XN_MODULE_FUNC_TYPE void XN_C_DECL XN_MODULE_UNLOAD | ( |  | ) |